gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.PollFD

Contents

- Exported types
- Methods
- Properties
  - events
  - fd
  - revents

Description

Represents a file descriptor, which events to poll for, and which events occurred.

Synopsis

- newtype PollFD = PollFD (ManagedPtr PollFD)
- newZeroPollFD :: MonadIO m => m PollFD
- getPollFDEvents :: MonadIO m => PollFD -> m CUShort
- setPollFDEvents :: MonadIO m => PollFD -> CUShort -> m ()
- getPollFDFd :: MonadIO m => PollFD -> m Int32
- setPollFDFd :: MonadIO m => PollFD -> Int32 -> m ()
- getPollFDRevents :: MonadIO m => PollFD -> m CUShort
- setPollFDRevents :: MonadIO m => PollFD -> CUShort -> m ()

# Exported types

newtype PollFD Source #

Memory-managed wrapper type.

Constructors

PollFD (ManagedPtr PollFD) |

#### Instances

Instances details

Eq PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD Methods (==) :: PollFD -> PollFD -> Bool Source # (/=) :: PollFD -> PollFD -> Bool Source #
GBoxed PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD
ManagedPtrNewtype PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD Methods toManagedPtr :: PollFD -> ManagedPtr PollFD Source #
TypedObject PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD Methods glibType :: IO GType Source #
HasParentTypes PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD
tag ~ 'AttrSet => Constructible PollFD tag Source # |
Instance details Defined in GI.GLib.Structs.PollFD Methods new :: MonadIO m => (ManagedPtr PollFD -> PollFD) -> [AttrOp PollFD tag] -> m PollFD Source #
IsGValue (Maybe PollFD) Source # | Convert `PollFD` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GLib.Structs.PollFD Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PollFD -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PollFD) Source #
type ParentTypes PollFD Source # |
Instance details Defined in GI.GLib.Structs.PollFD type ParentTypes PollFD = '[] :: [Type]

newZeroPollFD :: MonadIO m => m PollFD Source #

Construct a `PollFD` struct initialized to zero.

# Methods

# Properties

## events

a bitwise combination from `IOCondition`, specifying which events should be polled for. Typically for reading from a file descriptor you would use `IOConditionIn` | `IOConditionHup` | `IOConditionErr`, and for writing you would use `IOConditionOut` | `IOConditionErr`.

getPollFDEvents :: MonadIO m => PollFD -> m CUShort Source #

Get the value of the “`events`” field. When overloading is enabled, this is equivalent to

    get pollFD #events

setPollFDEvents :: MonadIO m => PollFD -> CUShort -> m () Source #

Set the value of the “`events`” field. When overloading is enabled, this is equivalent to

    set pollFD [ #events := value ]

## fd

the file descriptor to poll (or a HANDLE on Win32)

getPollFDFd :: MonadIO m => PollFD -> m Int32 Source #

Get the value of the “`fd`” field. When overloading is enabled, this is equivalent to

    get pollFD #fd

setPollFDFd :: MonadIO m => PollFD -> Int32 -> m () Source #

Set the value of the “`fd`” field. When overloading is enabled, this is equivalent to

    set pollFD [ #fd := value ]

## revents

a bitwise combination of flags from `IOCondition`, returned from the `poll()` function to indicate which events occurred.

getPollFDRevents :: MonadIO m => PollFD -> m CUShort Source #

Get the value of the “`revents`” field. When overloading is enabled, this is equivalent to

    get pollFD #revents

setPollFDRevents :: MonadIO m => PollFD -> CUShort -> m () Source #

Set the value of the “`revents`” field. When overloading is enabled, this is equivalent to

    set pollFD [ #revents := value ]